org.jbpm.casemgmt.impl.audit

## Class CaseInstanceAuditConstants

- java.lang.Object
- - org.jbpm.casemgmt.impl.audit.CaseInstanceAuditConstants

-     public class CaseInstanceAuditConstants
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `AFTER_CASE_DATA_ADDED_EVENT_TYPE`
    `static int` | `AFTER_CASE_DATA_REMOVED_EVENT_TYPE`
    `static int` | `AFTER_CASE_REOPEN_EVENT_TYPE`
    `static int` | `AFTER_CASE_ROLE_ASSIGNMENT_ADDED_EVENT_TYPE`
    `static int` | `AFTER_CASE_ROLE_ASSIGNMENT_REMOVED_EVENT_TYPE`
    `static int` | `AFTER_CASE_STARTED_EVENT_TYPE`
    `static String` | `DELETE_CASE_DATA_BY_NAME_QUERY`
    `static String` | `DELETE_CASE_ROLE_ASSIGNMENT_QUERY`
    `static String` | `FIND_CASE_DATA_BY_NAME_QUERY`
    `static String` | `FIND_CASE_DATA_QUERY`
    `static String` | `FIND_CASE_PROCESS_INST_ID_QUERY`
    `static String` | `UPDATE_CASE_PROCESS_INST_ID_QUERY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CaseInstanceAuditConstants()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### AFTER_CASE_STARTED_EVENT_TYPE

          public static final int AFTER_CASE_STARTED_EVENT_TYPE

      See Also:
        Constant Field Values

    - #### AFTER_CASE_REOPEN_EVENT_TYPE

          public static final int AFTER_CASE_REOPEN_EVENT_TYPE

      See Also:
        Constant Field Values

    - #### AFTER_CASE_ROLE_ASSIGNMENT_ADDED_EVENT_TYPE

          public static final int AFTER_CASE_ROLE_ASSIGNMENT_ADDED_EVENT_TYPE

      See Also:
        Constant Field Values

    - #### AFTER_CASE_ROLE_ASSIGNMENT_REMOVED_EVENT_TYPE

          public static final int AFTER_CASE_ROLE_ASSIGNMENT_REMOVED_EVENT_TYPE

      See Also:
        Constant Field Values

    - #### AFTER_CASE_DATA_ADDED_EVENT_TYPE

          public static final int AFTER_CASE_DATA_ADDED_EVENT_TYPE

      See Also:
        Constant Field Values

    - #### AFTER_CASE_DATA_REMOVED_EVENT_TYPE

          public static final int AFTER_CASE_DATA_REMOVED_EVENT_TYPE

      See Also:
        Constant Field Values

    - #### UPDATE_CASE_PROCESS_INST_ID_QUERY

          public static final String UPDATE_CASE_PROCESS_INST_ID_QUERY

      See Also:
        Constant Field Values

    - #### DELETE_CASE_ROLE_ASSIGNMENT_QUERY

          public static final String DELETE_CASE_ROLE_ASSIGNMENT_QUERY

      See Also:
        Constant Field Values

    - #### FIND_CASE_PROCESS_INST_ID_QUERY

          public static final String FIND_CASE_PROCESS_INST_ID_QUERY

      See Also:
        Constant Field Values

    - #### FIND_CASE_DATA_QUERY

          public static final String FIND_CASE_DATA_QUERY

      See Also:
        Constant Field Values

    - #### FIND_CASE_DATA_BY_NAME_QUERY

          public static final String FIND_CASE_DATA_BY_NAME_QUERY

      See Also:
        Constant Field Values

    - #### DELETE_CASE_DATA_BY_NAME_QUERY

          public static final String DELETE_CASE_DATA_BY_NAME_QUERY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### CaseInstanceAuditConstants

          public CaseInstanceAuditConstants()

Copyright © 2001–2021 JBoss by Red Hat. All rights reserved.